/***********************************************************************************
           Copyright 1998, NEC Electronics Inc. All rights reserved.  

Information and source code samples contained herein are provided "as-is", 
without representations or warranties, and are subject to change without notice.
NEC Electronics Inc. cannot support modifications or derivative works created from
the sample source code provided. Developers may use, reproduce, and modify portions 
or entire sections of the sample source code for the purposes of creating Dreamcast 
applications.  Developers may only commercially distribute the executable or binary 
portions of the sample source code.  Sample source code contained herein may not be 
appropriate for use under all circumstances.  Please consult Developer documentation
provided along with your Dreamcast unit for additional information and suggestions.
************************************************************************************/

#if !defined(__SCRNINFO_H__)
#define __SCRNINFO_H__

/* Screen information functions (source not public) */

void waitForEndOfRender();
void *getFrontBufferAddr();
void *getBackBufferAddr();
int getScreenWidth();
int getScreenHeight();
int getScreenBytesPerPixel();
int getScreenColorMode();
int getScreenStride();

void waitVBlanks( int nCount );

#endif

